manifestVersion: "0.0.1"
id: jupyterlab
category: developer
name: JupyterLab
version: "v4.5.6"
tagline: Веб-интерфейс нового поколения для интерактивных вычислений и анализа данных
description: >-
  JupyterLab — это веб-интерфейс нового поколения для Project Jupyter.
  
  
  Он позволяет вам работать с документами и действиями, такими как блокноты Jupyter, текстовые редакторы, терминалы и пользовательские компоненты, гибким, интегрированным и расширяемым образом. Вы можете расположить несколько документов и действий рядом в рабочей области с помощью вкладок и разделителей.
  
  
  Ключевые функции и рабочие процессы включают в себя:
    - Консоли кода для интерактивного выполнения кода и связи с ядром ноутбука.
    - Документы на основе ядра, которые позволяют интерактивно запускать код в любом текстовом файле (Markdown, Python, LaTeX).
    - Зеркальные выходы ячеек для простых информационных панелей.
    - Несколько представлений документов в разных редакторах или программах просмотра (например, предварительный просмотр Markdown или CSV в реальном времени).
    - Единая модель просмотра и работы с форматами данных (изображения, CSV, JSON, PDF, Vega и т.д.).
    - Настраиваемые сочетания клавиш и расширяемая архитектура.
  
  
  JupyterLab использует тот же формат документов блокнота, что и классический блокнот Jupyter.
releaseNotes: >-
  Этот выпуск включает исправления ошибок и улучшения для повышения стабильности и удобства работы пользователей:
    - Исправлено поведение обратной прокрутки с улучшенной привязкой прокрутки за пределами полнооконного режима.
    - Исправлены контуры фокуса строки состояния.
    - Исправлено контекстное меню файлового браузера для создания новых файлов.
    - Исправлено отображение блоков односимвольного кода как пустых.
    - Удалена нереализованная команда поиска файлового браузера.
    - Исправлена обработка перевода в файлах Python для лучшей поддержки локали.
    - Добавлена возможность скрывать ввод кода в консоли кода при настройке.
  
  
  Полные примечания к выпуску можно найти по адресу https://github.com/jupyterlab/jupyterlab/releases.
developer: jupyterlab
website: https://jupyterlab.readthedocs.io/en/latest/
repo: https://github.com/jupyterlab/jupyterlab
support: https://github.com/jupyterlab/jupyterlab/issues
port: 8899
dependencies: []
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
path: ""
deterministicPassword: true
submitter: "DFV24"
submission: "https://github.dfv24.com/fofanov.dmitry/DFWebOS-Apps/pulls"
